summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2015-12-06 14:03:35 +0100
committerDavid Kalnischkies <david@kalnischkies.de>2015-12-06 14:03:35 +0100
commite75e5879c0e8d232a2e8f045685beeb8c965aba4 (patch)
tree116954225b04f01e5d566d96900870f2bee4d0a8 /test
parent2f17261da947e143d79d9c843a26eeb4b44ec385 (diff)
replace "which" with "command -v" for portability
which is a debian specific tool packaged in debianutils (essential) while command is a shell builtin defined by POSIX. Closes: 807144 Thanks: Mingye Wang for the suggestion.
Diffstat (limited to 'test')
-rw-r--r--test/integration/framework2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/integration/framework b/test/integration/framework
index 3e159f6a9..8760f3db8 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -1205,7 +1205,7 @@ changetowebserver() {
}
changetohttpswebserver() {
- if ! which stunnel4 >/dev/null; then
+ if ! command -v stunnel4 >/dev/null 2>&1; then
msgdie 'You need to install stunnel4 for https testcases'
fi
if [ ! -e "${TMPWORKINGDIRECTORY}/aptarchive/aptwebserver.pid" ]; then